Subject: Re: [Regression] r8169: enable 64-bit DMA by default for PCI Express devices (v2)

From: Robert Hancock <[email-masked]>
Date: Sat, 27 Mar 2010 11:46:12 -0600

On 03/27/2010 12:38 AM, � Engel wrote:
> On Fri, 26 March 2010 19:55:44 -0600, Robert Hancock wrote:
>>
>> Well, that one's 36 bits, but it's unclear whether that driver would
>> actually be likely to access anything over 4GB. It's possible that
>> there's just some general problem with 64-bit DMA on that machine.
>
> That may very well be.  I've had trouble using a PCIe card in that
> machine as well.  "Solution" was to buy a different computer.  Sad, I
> know, but not my money.

Hm, do you recall/have the details of what happened with the other card?

It's possible this is some general problem with that machine/motherboard 
and not actually an issue with what the driver is doing. What kind of 
board is that?

>
>> The fact that even stuff like lspci and MII is breaking seems odd,
>> though. It could be that model of card doesn't like the PCIDAC register
>> bit being set (maybe it means something different on that model, or
>> something).
>>
>> I suppose a publicly accessible datasheet for these chips is too much to
>> hope for?
>
> Which chips?
>
> J�rn
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>